CRYPTO_AEAD_SETAUTHS(9)

NAME
crypto_aead_setauthsize - set authentication data size

SYNOPSIS

int crypto_aead_setauthsize(struct crypto_aead * tfm, unsigned int authsize);

ARGUMENTS

tfm
    cipher handle

authsize
    size of the authentication data / tag in bytes

DESCRIPTION

Set the authentication data size / tag size. AEAD requires an authentication tag (or MAC) in addition to the associated data.

RETURN

0 if the setting of the key was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT